Debian Bug report logs - #650799
java3d: FTBFS on ia64: gcc: error: argument to '-G' should be a non-negative integer

version graph

Package: src:java3d; Maintainer for src:java3d is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 3 Dec 2011 10:06:02 UTC

Severity: serious

Found in version java3d/1.5.2+dfsg-7

Fixed in version java3d/1.5.2+dfsg-8

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#650799; Package src:java3d. (Sat, 03 Dec 2011 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 03 Dec 2011 10:06:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: submit@bugs.debian.org
Subject: java3d: FTBFS on ia64: gcc: error: argument to '-G' should be a non-negative integer
Date: Sat, 3 Dec 2011 11:03:13 +0100
Source: java3d
Version: 1.5.2+dfsg-7
Severity: serious
Justification: fails to build from source
User: debian-ia64@lists.debian.org
Usertags: ia64

java3d FTBFS on ia64:
| compile:
|      [echo] Executing 64 bit native renderer build [debug]
|     [mkdir] Created dir: /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/build/linux-ia64/debug/native/ogl/objs
|     [mkdir] Created dir: /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/build/linux-ia64/debug/lib/ia64
|      [exec] gcc: error: argument to '-G' should be a non-negative integer
|      [exec] gcc: error: defs: No such file or directory
|      [exec] Result: 1
|
| BUILD FAILED
| /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/build.xml:436: The following error occurred while executing this line:
| /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/build.xml:440: The following error occurred while executing this line:
| /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/src/native/build.xml:431: The following error occurred while executing this line:
| /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/src/native/ogl/build-linux-ia64.xml:38: Warning: Could not find file /build/buildd-java3d_1.5.2+dfsg-7-ia64-vtvA0c/java3d-1.5.2+dfsg/j3d-core/build/linux-ia64/debug/native/ogl/objs/libj3dcore-ogl.so to copy.
|
| Total time: 4 minutes 59 seconds
| make: *** [debian/stamp-ant-build] Error 1

Full build log:
https://buildd.debian.org/status/fetch.php?pkg=java3d&arch=ia64&ver=1.5.2%2Bdfsg-7&stamp=1322840947

-- 
Jakub Wilk




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sun, 24 Jun 2012 20:51:15 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sun, 24 Jun 2012 20:51:15 GMT) Full text and rfc822 format available.

Message #10 received at 650799-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 650799-close@bugs.debian.org
Subject: Bug#650799: fixed in java3d 1.5.2+dfsg-8
Date: Sun, 24 Jun 2012 20:49:10 +0000
Source: java3d
Source-Version: 1.5.2+dfsg-8

We believe that the bug you reported is fixed in the latest version of
java3d, which is due to be installed in the Debian FTP archive:

java3d_1.5.2+dfsg-8.debian.tar.gz
  to main/j/java3d/java3d_1.5.2+dfsg-8.debian.tar.gz
java3d_1.5.2+dfsg-8.dsc
  to main/j/java3d/java3d_1.5.2+dfsg-8.dsc
libjava3d-java-doc_1.5.2+dfsg-8_all.deb
  to main/j/java3d/libjava3d-java-doc_1.5.2+dfsg-8_all.deb
libjava3d-java_1.5.2+dfsg-8_all.deb
  to main/j/java3d/libjava3d-java_1.5.2+dfsg-8_all.deb
libjava3d-jni_1.5.2+dfsg-8_amd64.deb
  to main/j/java3d/libjava3d-jni_1.5.2+dfsg-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650799@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated java3d package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Jun 2012 22:02:35 +0200
Source: java3d
Binary: libjava3d-java libjava3d-jni libjava3d-java-doc
Architecture: source all amd64
Version: 1.5.2+dfsg-8
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 libjava3d-java - Java 3D API (java library)
 libjava3d-java-doc - Documentation for the Java3D API
 libjava3d-jni - Java3D API (java jni library)
Closes: 650799
Changes: 
 java3d (1.5.2+dfsg-8) unstable; urgency=low
 .
   * Team upload.
   * Remove -G flag from ia64 compiler flags.  (Closes: #650799)
   * Replace use of com.sun JPEG library with ImageIO.
Checksums-Sha1: 
 5bca7e01b07a0b13028546e211065eaa618724b4 2221 java3d_1.5.2+dfsg-8.dsc
 3b471a0745ff8c9afd960ee80a221d360876113a 11075 java3d_1.5.2+dfsg-8.debian.tar.gz
 a49c6201ac5084396bb962b138e238a91633214a 1655188 libjava3d-java_1.5.2+dfsg-8_all.deb
 155f181f657450ea4052389a655f9b2768822f9c 1632396 libjava3d-java-doc_1.5.2+dfsg-8_all.deb
 ab80687ec656b8ce72a87705dbddfaa5b58a156f 53074 libjava3d-jni_1.5.2+dfsg-8_amd64.deb
Checksums-Sha256: 
 51c59a8d3d1eba21c509be6d904656cbeff72e285b8ebc14a6edbaa8eff3c7a5 2221 java3d_1.5.2+dfsg-8.dsc
 e1d48501491b6c6c948fedb018790d8f70edf454932f24b165a3f88e9e2b3320 11075 java3d_1.5.2+dfsg-8.debian.tar.gz
 c7da0740f603dc50da204c30de80373ca49e8e77136a07f4ce6950ca07a7e16c 1655188 libjava3d-java_1.5.2+dfsg-8_all.deb
 8020df30a35e3fd353c0d82911f12fcee20089e12292a69bfd3e3a6c30062ba3 1632396 libjava3d-java-doc_1.5.2+dfsg-8_all.deb
 ef55e47ac5fa5d5294cbe485296ff68eb73be236020ac971f9e128eb148522cb 53074 libjava3d-jni_1.5.2+dfsg-8_amd64.deb
Files: 
 51ea3f3be696ffe60b2c349694358005 2221 java optional java3d_1.5.2+dfsg-8.dsc
 6abdddfda123a0e194f041fd9e93f62e 11075 java optional java3d_1.5.2+dfsg-8.debian.tar.gz
 94a85a50dec560c4956365e776b5aa63 1655188 java optional libjava3d-java_1.5.2+dfsg-8_all.deb
 ee1769ac0a9d5d2ed35e1256e0f7951f 1632396 doc optional libjava3d-java-doc_1.5.2+dfsg-8_all.deb
 3e4b1deb9c80f15cd83cd00ec64665de 53074 java optional libjava3d-jni_1.5.2+dfsg-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP53MTAAoJEAVLu599gGRCBwoP/1IvkvKs8kAoELAPDENCgJfe
En8mYlEJWuEi0MrImhA0MvbYltqBWu0Wynmnpe1ZvNJFqTYhp1GhdDmzk/+Ja5nv
mCmKw4ap+P/F3Ixdr21PPB63wj8GWQUVkT6xoPpRZoTD0M7gd0VbQpNmgSkhvj++
ad7qOVl3HlSwwGXc7EZ2ifa68AdqR4Ga+07zfVFtNl8dDayWIC0nuXYjLLBUNV7c
2tZ0linH27KZcYUk5/uSfPiKXulbYN8kTieeqCPgLSISEJbBwr3ONg0QyheBxUIC
axb/xPSuMTSNdeG91WKTjYsozuQmqeq9TxCJQHFjMShHpMGIPBJ8fWztNoZHNdkt
178jZIfWG5fhf7eg5Lv9Mj4eMMYOrgkT0fPVETfHu5CTJ1a+/K1YX0mnZR0lL8hf
gN1IXBoVYe/7ND79iZgDxIodUHrgDaMqC4f2lgUPtTol9xaqF8KP1Ec1lOt5RrGQ
2w1JInd2k2qxKAqZhCdvkaQB6J6N6RBqObRkf080qDpJcKyGF8uDCbIis5Wh1Kke
kTvSJoWcGHGDvkWJWUm+6b6oSQTlMqbi6vfI7nsiRoiDe1CySoxNHBw1JeBQd1FR
KyP3/pboq/tzdZm3I9X0pyqY5o3k4iY974V6z00ADnB5MZPDzWqkMJ9sKuT5tfRx
1xZy/wZDJjAMZ0l0Br8v
=ZS/B
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:40:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:58:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.